Bug 111710 - pam_filter option does not accept a valid LDAP filter
Summary: pam_filter option does not accept a valid LDAP filter
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nss_ldap (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-09 05:09 UTC by jeffrey.bird
Modified: 2015-01-08 00:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:32:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jeffrey.bird 2003-12-09 05:09:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031120

Description of problem:
When specifying a filter for the pam_filter option in /etc/ldap.conf,
you cannot use a properly defined LDAP filter. For example, to limit a
users to ones that have a host attribute set for the host they are
trying to log into you would expect to use (for example) the following:

pam_filter
(&(objectclass=posixAccount)(objectclass=account)(host=thehost))

This definition will not allow a match for the user. If the filter is
specified as

pam_filter &(objectclass=posixAccount)(objectclass=account)(host=thehost)

ie without the outermost '()' it will work as expected. 

This behaviour is not documented anywhere in the nss_ldap or RedHat
documentation.

Version-Release number of selected component (if applicable):
nss_ldap-207-2

How reproducible:
Always

Steps to Reproduce:
1. Modify /etc/ldap.conf as above (first case)
2. Attempt to login to system
3.
    

Actual Results:  Login will be refused.

Expected Results:  User logged in.

Additional info:

Comment 1 RHEL Product and Program Management 2007-10-19 19:32:19 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.